
Redmine - Defect #14758

Can't override default locale with plugin

2013-08-23 09:01 - Ilya S

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.3.2

Description

trunk/config/locales/en.yml:

label_user_mail_option_all: "For any event on all my projects"

trunk/plugins/my_plugin_name/config/locales/en.yml:

label_user_mail_option_all: "For events on all my projects"

 Restart Redmine and still see default locale translation. But if i comment this string in trunk/config/locales/en.yml, then appears

my_plugin translation.

Ruby 2.0.0-p247, Redmine 2.3.2stable

Related issues:

Is duplicate of Redmine - Patch #12753: Update config.i18n.load_path for plug... Closed

History

#1 - 2013-08-23 10:17 - Daniel Felix

Hi,

as you can see in source:/trunk/lib/redmine/plugin.rb#L82 the plugin files are joined.

Do you see some exception in the log like these?

source:/trunk/lib/redmine/i18n.rb#L37

#2 - 2013-08-23 10:22 - Ilya S

I'm not saying that plugins locales are not joins, i'm saying that plugin locales can't override default locales, may be they loads before default locales, i

don't know.

No, i'm not see any exceptions or warnings, nothing happens, plugin locales just don't work until i disable default strings.

Sorry for my english.

#3 - 2013-08-24 07:13 - Go MAEDA

This issue is probably duplicated with #12753.

#4 - 2013-09-03 03:02 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Go MAEDA wrote:

This issue is probably duplicated with #12753.

 Indeed.

#5 - 2013-09-03 03:02 - Toshi MARUYAMA
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/redmine/plugin.rb#L82
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/redmine/i18n.rb#L37
https://www.redmine.org/issues/12753
https://www.redmine.org/issues/12753


- Is duplicate of Patch #12753: Update config.i18n.load_path for plugin-supplied locales added

Powered by TCPDF (www.tcpdf.org)

2025-05-02 2/2

http://www.tcpdf.org

